# Présentation du logiciel Cassiopée

## Caractéristiques générales

Cassiopée est un logiciel consacré à l'hydraulique des rivières avec notamment l'aide au dimensionnement des passes à poissons, l'hydraulique agricole et l'hydraulique à surface libre en général. Il se présente sous la forme de [modules de calcul](general/principe_fonctionnement.md) indépendants permettant chacun de résoudre un problème donné. Les modules de calcul peuvent être enchaînés (des paramètres ou des résultats de calcul peuvent être "liés" entre modules) afin de réaliser des enchaînements de calculs complexe. L'utilisateur peut enregistrer localement les modules utilisés afin de les réutiliser ultérieurement.

## Pré-requis - installation

Cassiopée ne nécessite aucune installation. Il est disponible en ligne à partir d'un navigateur récent (testé sous Firefox, Chrome et Chromium) en se rendant à l'adresse suivante : [http://cassiopee.g-eau.net](http://cassiopee.g-eau.net)
